# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(YAML.pm) perl(ok.pm)
# END SourceDeps(oneline)
%define module_version 1
%define module_name Nothing-Tiny
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1
Release: alt1
Summary: a module that does nothing, albeit with no accessor 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JR/JROCKWAY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Sometimes modules with actual functionality are too slow or use too
much memory.  `Nothing::Tiny' aims to balance features with memory
usage by doing nothing in the smallest amount of space possible.

Here's how to use it:

   use Nothing::Tiny;

Now you've done nothing, all while not adding any non-core
dependencies to your application!  Tinylicious!


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 1-alt1
- initial import by package builder

